<?php
/**
 * Top X Stats (topxstats_)
 *
 * @file ./topxstats_source/admin.php
 * @author Labradoodle-360 <creativewebdsign@gmail.com>
 * @copyright Matthew Kerle, 2013
 *
 * @version 1.0.1
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function topXStats_modifySettings($return_config = false)
{
	global $context, $txt, $scripturl, $modSettings, $settings;
	loadLanguage('topxstats_languages/main');
	$config_vars = array(
		array('check', 'topxstats_index'),
		array('int', 'topxstats_count'),
		array('check', 'topxstats_group_colors')
	);
	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=topxstats';
	$context['page_title'] = sprintf($txt['topxstats']['page_title'], ' .:.');
	if (isset($_GET['save']))
	{
		checkSession();
		saveDBSettings($config_vars);
		redirectexit('action=admin;area=modsettings;sa=topxstats');
	}
	prepareDBSettingContext($config_vars);
}