<?php
/**
 * Top X Stats (topxstats_)
 *
 * @file ./topxstats_source/resources/hooks.php
 * @author Labradoodle-360 <creativewebdsign@gmail.com>
 * @copyright Matthew Kerle, 2013
 *
 * @version 1.0.1
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function topXStats_hook_adminArea(&$admin_areas)
{
	global $txt;
	loadLanguage('topxstats_languages/main');
	return $admin_areas['config']['areas']['modsettings']['subsections'] += array('topxstats' => array(sprintf($txt['topxstats']['page_title'], '')));
}

function topXStats_hook_subAction(&$subActions)
{
	global $sourcedir;
	require_once($sourcedir . '/topxstats_source/admin.php');
	return $subActions += array('topxstats' => 'topXStats_modifySettings');
}