<?php
/**
 * Top X Stats (topxstats_)
 *
 * @file ./topxstats_templates/main.template.php
 * @author cicka <cicka@whatever.com>
 * @copyright cicka, 2012
 *
 * @version 1.0.1
 */

function template_topxstats_integrate()
{
	global $topxstats;
	echo '
		<div id="topxstats_cont">
			<div class="cat_bar" style="height: 28px;">
				<h3 class="catbg centertext">', sprintf($topxstats['txt']['top_stats'], $topxstats['forum_name'], $topxstats['final_count']), '</h3>
			</div>
			<div class="roundframe rfix">
				<div class="innerframe">
					<div class="content">
						<div class="floatleft outterblock">
							<div class="information">
								<div class="centertext">
									<strong>', $topxstats['txt']['latest']['members'], '</strong>
								</div>
								<hr />
								<ol class="topxstats_list">';
								// Block 1; Latest Members
								foreach ($topxstats['latest_members'] as $key => $value)
								{
									echo '
										<li>
											', $value['link'], '
											<span class="floatright">', $value['datetime_registered'], '</span>
										</li>
									';
								}
								echo '</ol>
							</div>
						</div>
						<div class="floatleft" id="centerblock">
							<div class="information">
								<div class="centertext">
									<strong>', $topxstats['txt']['latest']['posts'], '</strong>
								</div>
								<hr />
								<ol class="topxstats_list">';
								// Block 2; Latest Posts
								foreach ($topxstats['latest_posts'] as $key => $value)
								{
									echo '
										<li>
											', sprintf($topxstats['txt']['latest']['post_format'], $value['member']['link'], $value['link'], $value['datetime_stamp']), '
										</li>
									';
								}
								echo '</ol>
								</div>
						</div>
						<div class="floatright outterblock">
							<div class="information">
								<div class="centertext">
									<strong>', $topxstats['txt']['top_posters'], '</strong>
								</div>
								<hr />
								<ol class="topxstats_list">';
								// Block 3; Top Posters
								foreach ($topxstats['top_posters'] as $key => $value)
								{
									echo '
										<li>
											', $value['link'], '
											<span class="floatright">', sprintf($topxstats['txt']['num_posts'], $value['posts']), '</span>
										</li>
									';
								}
								echo '</ol>
							</div>
						</div>
						<br class="clear" />
					</div>
				</div>
			</div>
			<span class="lowerframe"><span></span></span>
		</div>
	';
}